RLOGIN(1)

NOME
rlogin - login remoto

SINTASSI
rlogin [-8EKLdx] [-e char] [-k realm] [-l username] host rlogin [-8EKLdx] [-e char] [-k realm] username@host

DESCRIZIONE
Rlogin avvia una sessione terminale su un host remoto host.

Rlogin tenta prima di usare il meccanismo di autenticazione Kerberos, descrito sotto. Se l'host remoto non supporta Kerberos viene usato il meccanismo standard standard Berkeley rhosts di autorizzazione. Le opzioni sono come segue:

-8  L'opzione -8 consente un percorso di input dati a otto bit; altrimenti i bit di parità sono eliminati, ad eccezione di quando i caratteri di stop e start sul lato remoto sono differenti da ^S/^Q .

-E  L'opzione -E inibisce il riconoscimento dei caratteri escape. Quando usata con l'opzione -8 questo fornisce una connessione completamente trasparente.

-K  L'opzione -K disabilita l'autenticazione Kerberos.

-L  L'opzione -L permette alla sessione rlogin di funzionare in modo ``litout'' (vedere tty(4) ).

-d  L'opzione -d abilita il socket debugging (vedere setsockopt(2)) sui socket TCP usati per la comunicazione con l'host remoto.

-e  L'opzione -e permette all'utente di specificare il carattere di escape, che per default è ``~''. Questa specificazione può essere come carattere letterale, o come valore ottale nella forma \nnn.

-k  L'opzione richiede a rlogin di ottenere dei ticket per l'host remoto nel regno realm invece di determinare il regno dell'host remoto tramite krb_realmofhost(3).

-x  L'opzione -x abilita la cifratura DES per tutti i dati passati attraverso la sessione rlogin. Questo può avere un impatto sul tempo di risposta e sull'utilizzo della CPU, ma fornisce un incremento di sicurezza.

Una linea nella forma ``<escape char>.'' disconnette dall'host remoto. Similarmente la linea ``<escape char>^Z'' sospenderà la sessione rlogin, e ``<escape char><delayed-suspend char>'' sospende la porzione invio di rlogin, ma permette l'output dal sistema remoto. Per default, il carattere tilde (``~'') è il carattere di escape, e normalmente control-Y (``^Y'') è il carattere delayed-suspend.

Tutti gli eco avvengono sul sito remoto, in modo che (tranne che per i ritardi) rlogin sia trasparente. Il controllo del flusso attraverso ^S/^Q e il flusso di input e output sugli interrupts sono gestiti correttamente.

AUTENTICAZIONE KERBEROS
Ciascun utente può avere un elenco privato di autorizzazione nel file .klogin nella propria directory home. Ciascuna linea in questo file può contenere un nome principale Kerberos nella forma principal.instance@realm. Se l'utente originante è autenticato su uno dei primari nominati in .klogin, viene garantito l'accesso all'account. All' accountname.@localrealm primario è garantito accesso se non c'è nessun file .klogin. Altrimenti apparirà una richiesta di login e password sulla macchina remota come in login(1). Per evitare certi priblemi di sicurezza, il file .klogin deve appartenere all'utente remoto.

Se l'autenticazione Kerberos fallisce viene stampato un messaggio di avviso e in alternativa viene usato il Berkeley rlogin.

AMBIENTE
La seguente variabile d'ambiente è utilizzata da rlogin:

TERM
    Determina il tipo di terminale utente.

VEDERE ANCHE
rsh(1), kerberos(3), krb_sendauth(3), krb_realmofhost(3)

HISTORY
Il comando rlogin è apparso in 4.2BSD.

BUG
Rlogin sarà sostituito da telnet(1) nel prossimo futuro.

More of the environment should be propagated.